Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Fola Posted on 19/05/2019 14:37
Squad List (2019/20)
Edited On: 09/08/2019 19:02
Report Message | Email Message To A Friend | Reply To Message
 
GOALKEEPERS:
Owen Evans (Season Long Loan From Wigan)
Reice Charles-Cook (Under contract until 2020)

DEFENDERS:
Nathan Cameron (Under contract until 2020)
Miles Welch-Hayes (Under contract until 2020)
David Fitzpatrick (Under contract until 2020)
James Pearson (Under contract until 2020)
Fiacre Kelleher (Under contract until 2020)
Theo Vassell (Under contract until 2020)
Eddie Clarke (Season Long Loan From Fleetwood)
Fraser Horsfall (Under contract until 2020)
Corey O'Keefe (Season Long Loan From Birmingham)
MIDFIELDERS:
Ben Stephens (Under contract until 2020)
Michael Rose (Under contract until 2020)
Peter Vincenti (Under contract until 2020)
Jak McCourt (Under contract until 2020)
Adam Dawson (Under contract until 2020)
Emmanuel Osadebe (Under contract until 2020)
Brice Ntambwe (Under contract until 2020)
Theo Archibald (Under contract until 2020)
Jay Harris (Under contract until 2020)
Connor Kirby (Season Long Loan From Sheffield Wed)

STRIKERS:
Joe Ironside (Under contract until 2020)
Jacob Blyth (Under contract until 2020)
Virgil Gomis (Season Long Loan From Forest)

Will update when players re-sign or sign.
IP: Logged
Smoky2 Posted on 19/05/2019 15:17
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
So if we sign a keeper we have a startling eleven ![:D][:D]
IP: Logged
saltpie Posted on 19/05/2019 15:43
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Assuming that we manage to pay the players under contract on time
IP: Logged
Nigel_Shaws_Right_Boot Posted on 19/05/2019 15:58
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
very startling! [^]
IP: Logged
Fola Posted on 31/05/2019 16:18
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Pearson
IP: Logged
Itsawonderfulworld Posted on 31/05/2019 16:29
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Good sign I think.
IP: Logged
bollingtonblue Posted on 31/05/2019 16:36
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I wonder how much further up the league we would finish than last season with broadly the same squad but with SC having a full pre-season with them?
I have a feeling we would probably still be nearer the bottom than the top and do hope that Sol can attract at least three quality new players.
IP: Logged
Smoky2 Posted on 31/05/2019 17:42
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Pearson is very good news .
IP: Logged
fossey Posted on 31/05/2019 20:01
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
this now looks like the wages payments have now been resolved so i think this is the start with more signing
IP: Logged
spoons Posted on 31/05/2019 21:10
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
not according to Mike Minay of BBC Manchester
IP: Logged
JH23 Posted on 31/05/2019 22:38
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Excellent news, if we start the season with Pearson, Cameron, Jules and Fitz as our back four, we are looking far better than at the start of last season.
IP: Logged
supermacc Posted on 01/06/2019 12:57
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Thatís great news for Macc. I thought he looked fit and strong on his return before aggravating his injury.

If he can stay injury free next year he will be a valuable asset.

Welcome back James [^]

IP: Logged
macchiavelli Posted on 02/06/2019 09:49
Squad List (2019/20)
Edited On: 02/06/2019 10:19
Report Message | Email Message To A Friend | Reply To Message 

 
I am happy that JP has signed up for next season. Let's hope that he is the first of the many we will need to build a strong, competitive squad for the next campaign.
IP: Logged
Fola Posted on 05/06/2019 14:27
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Jak McCourt
IP: Logged
Fola Posted on 05/06/2019 16:03
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Joe Ironside.
IP: Logged
Fola Posted on 10/06/2019 12:28
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated Adam Dawson
IP: Logged
boomer22 Posted on 11/06/2019 18:33
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
We have a stiffer defence and more competitive midfield by the look of it. And a manager who knows what he is doing so we are better placed already.
IP: Logged
Fola Posted on 18/06/2019 09:49
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
10 more players to be signed up if AA's 24 players budget is to be adhered to.
IP: Logged
MaccsBygraves Posted on 18/06/2019 10:08
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
20-24 players is much more realistic for a small club like ours. Couldnít understand why the likes of Lowe, Grimes etc didnít get shipped out in January on loan at least
IP: Logged
macchiavelli Posted on 18/06/2019 11:03
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
We will need to be leaner and meaner this season.

I think 24 players is just about doable. 20 might be pushing it.
IP: Logged
Fola Posted on 18/06/2019 11:06
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Emmanuel Idem
Elliott Durrell
Brice Ntambwe
Danny Whitaker

The remaining 4 to either sign up/reject the contract offers.
IP: Logged
macchiavelli Posted on 18/06/2019 11:36
Squad List (2019/20)
Edited On: 18/06/2019 11:37
Report Message | Email Message To A Friend | Reply To Message 

 
I would want to keep Durrell and Ntambwe (much improved after a slow start last season).

Realistically, I think DW's usefulness on the pitch will be fairly limited now, and Idem's offer probably reflects the fact that he is the only GK on the books at present.
IP: Logged
lymeview Posted on 18/06/2019 13:12
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
If you look back to the number of injuries we had last season a squad of 20 would have been a problem. It would only need 3 injuries or suspensions and we would not be able to fill the bench.
IP: Logged
Fola Posted on 29/06/2019 11:39
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Emmanuel Osadebe
IP: Logged
Fola Posted on 01/07/2019 15:17
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Jacob Blyth
IP: Logged
Fola Posted on 04/07/2019 11:57
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Ntambwe
IP: Logged
Fola Posted on 04/07/2019 12:07
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Emmanuel Idem
Elliott Durrell
Danny Whitaker

Now the three we have heard nothing on.
IP: Logged
boomer22 Posted on 04/07/2019 18:09
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Where is the width?
IP: Logged
Fola Posted on 05/07/2019 10:04
Squad List (2019/20)
Edited On: 05/07/2019 10:21
Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Tyrone Marsh leaving who has joined Boreham Wood
IP: Logged
Fola Posted on 05/07/2019 10:58
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Surely SC needs to be looking at looking to ship out Vincenti?
IP: Logged
Fola Posted on 05/07/2019 11:42
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Will we get an update on Durrell, Whitaker and Idem? Even if they've left?
IP: Logged
Fola Posted on 09/07/2019 09:15
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Kelleher
IP: Logged
Fola Posted on 09/07/2019 09:17
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
So yesterday we found out via SC's interview, that we aren't under a transfer embargo- we can only have 23 players, no more.

Knowing this, we need to get rid of Vincenti ASAP!
IP: Logged
pauljames Posted on 09/07/2019 09:38
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Will be interesting to see whether he appears tonight. Given we currently have 17 signed, that leaves 6 places in the squad. Certainly 2 keepers, 2 wingers , possibly another defender/ midfielder and another forward?
IP: Logged
macchiavelli Posted on 09/07/2019 09:42
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Time for 'A Trialist' to take centre stage.
IP: Logged
Fola Posted on 12/07/2019 11:22
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Due to Whitaker's retirement, Emmanuel Idem and Elliott Durrell are the 2 remaining players yet to sign the contracts offered to them.

No word from the club on either two.
IP: Logged
Stitchy1 Posted on 12/07/2019 11:29
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
No Trialist today but a good bit of buisness with a real winner added
IP: Logged
Fola Posted on 12/07/2019 11:50
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Will it be announced today? Give us a clue?
IP: Logged
Stitchy1 Posted on 12/07/2019 12:00
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
No canít announce and canít give clue sorry, but 100%
IP: Logged
Silky_Dandy Posted on 12/07/2019 12:55
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Stitchy1
You said on another thread that Elliott is staying. So I'm going to assume that's the case [;)] - or you are playing with my emotions [DFS]
IP: Logged
Stitchy1 Posted on 12/07/2019 13:10
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Hi , no I have Been told heís staying and I hope he is
IP: Logged
Fola Posted on 15/07/2019 14:47
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Stitchy1 any news?
IP: Logged
The_Boss Posted on 15/07/2019 15:01
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
From his Twitter it looks like the club have been in touch, but was 10 days ago and not since!

Cut. Face. Spite. Off. Nose.
IP: Logged
Stitchy1 Posted on 15/07/2019 15:18
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Afternoon, due to a contractual issue I canít name anyone, but ime telling you 110% deals are being done and the game behind closed doors against Wigan was for a reason.
IP: Logged
Fola Posted on 15/07/2019 15:47
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
How many deals have been done and not announced?
IP: Logged
macc1997 Posted on 15/07/2019 15:49
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
It was more than likely behind closed doors because it was at their training ground [;)]
IP: Logged
Stitchy1 Posted on 15/07/2019 16:09
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Hi Macc , I know 200% of one, you will have to trust me , i donít bullXXXXXX
IP: Logged
Sandow Posted on 17/07/2019 06:29
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Another Lance Cronin is it, always in the know ;)
IP: Logged
Stitchy1 Posted on 17/07/2019 08:48
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I know because he is my mate and I attended medical with him last Friday and had a nice bacon balm from that little cafe attached to your ground.
Game today behind closed doors v Blackburne
IP: Logged
Fola Posted on 17/07/2019 09:29
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
17 days until the first game of the season.
IP: Logged
macchiavelli Posted on 17/07/2019 10:41
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
And 23 before Season Tickets will be required. Still, no worries. I am sure it will go without a hitch, thanks to our superb organisation and logistics.
IP: Logged
macc1997 Posted on 17/07/2019 11:16
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Arnít Blackburn playing Mansfield today ?
IP: Logged
Stitchy1 Posted on 17/07/2019 11:51
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Playing U23s
IP: Logged
TythyBlue Posted on 17/07/2019 13:34
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Stichy1 you seem to making a lot of noise but not much substance to it [cr]
IP: Logged
metz1984 Posted on 17/07/2019 13:52
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Stitchy ye know to much..
IP: Logged
Stitchy1 Posted on 17/07/2019 14:00
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Just bare with me , mix of under 23z and 1st team for Blackburne, half time Mac winning 1-0 , full time beat 3-1, Charlie Adam with 2 goals.
IP: Logged
Stitchy1 Posted on 17/07/2019 14:03
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry guys not posting anything else until 1st August, you can all apologise then for not believing me.
IP: Logged
Fola Posted on 17/07/2019 14:24
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
To be fair lads, Stitchy1 was right with us playing Blackburn and right with the result. He posted this before the OS did.

I believe him. Just wish we could have it announced soon!!!
IP: Logged
lymeview Posted on 17/07/2019 14:29
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Stytchy, don't spit your dummy out - I've believed every word you have said - carrying on keeping us informed.[smi]
IP: Logged
Stitchy1 Posted on 17/07/2019 16:22
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry all not spitting dummy out its just getting a bit hard without me giving it away which is not good for personal reasons and player who is comming in. I will keep you all up to date with events without jeopardising anything , I am as excited as you all as I be now watching Macclesfield this season.
IP: Logged
pauljames Posted on 17/07/2019 16:28
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I'm wondering whether the statement relating to " no posts until 1August" is connected to the player concerned being contractually tied to his current club until then?
IP: Logged
Stitchy1 Posted on 17/07/2019 16:33
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Yep
IP: Logged
Stitchy1 Posted on 17/07/2019 16:41
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Ok just for fun, which player do you hate the most when you play against them but would love in your team.
IP: Logged
boomer22 Posted on 17/07/2019 17:34
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Jennings
IP: Logged
lymeview Posted on 17/07/2019 17:42
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Yes, I would go for Jennings as well.
IP: Logged
Stitchy1 Posted on 17/07/2019 17:45
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Haha poor old Connor on 100% up to now lol 😂
IP: Logged
bitternloco Posted on 17/07/2019 17:49
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I presume you are referring to Connor Jennings and not his brother James who is a pretty good defender at Wrexham. Connor is a very good midfielder/striker who was terrific for us in his first spell at Macc and I would love to see him back in a Macc shirt.

Can't see it happening though.
IP: Logged
Stitchy1 Posted on 17/07/2019 17:52
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
3 Wembley appearances in 3 years and 2 promotions good choice
IP: Logged
drawd0ow Posted on 17/07/2019 20:04
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Do you live in Macc Stitchy1?
IP: Logged
Stitchy1 Posted on 17/07/2019 20:28
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Hi, no donít live in Maccie , haha stop fishing 🎣
IP: Logged
Fola Posted on 18/07/2019 09:13
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Not a chance in hell it is Jennings.

Ipswich were rumoured to be in for him.
IP: Logged
pauljames Posted on 18/07/2019 10:36
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I thought Jennings was supposed to be the player we hate but would love in our side, not the mystery signing?
IP: Logged
Fola Posted on 18/07/2019 11:00
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Ah my bad.
IP: Logged
Stitchy1 Posted on 18/07/2019 11:47
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Ipswich took Nors ,
IP: Logged
Fola Posted on 18/07/2019 12:23
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Theo Vassell
IP: Logged
slechants24 Posted on 18/07/2019 12:33
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Just need Durrell to sign, 2 goalies and a left winger and we're good.
IP: Logged
macc1997 Posted on 18/07/2019 13:10
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I agree, Could do with another left back/ left wing back e.g cedric evina and another centre forward aswell
IP: Logged
macc1997 Posted on 18/07/2019 13:10
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I agree, Could do with another left back/ left wing back e.g cedric evina and another centre forward aswell
IP: Logged
Fola Posted on 19/07/2019 15:33
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with the departure of Scott Wilson.
IP: Logged
Fola Posted on 20/07/2019 10:10
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Evans leaving.
IP: Logged
macchiavelli Posted on 20/07/2019 10:13
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
With 2 weeks to the big kick-off, we now have a squad of 16, with 2 strikers and no goalkeepers.
IP: Logged
MenorahTableofShowbread Posted on 20/07/2019 12:49
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
15 plus Vincenti
IP: Logged
pauljames Posted on 20/07/2019 13:40
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Perhaps we'll get an indication of the situation with Vincenti when squad numbers are announced?
IP: Logged
Stitchy1 Posted on 20/07/2019 16:40
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Left wingback Deal done , again donít ask me source. You will again just have to trust me
IP: Logged
pauljames Posted on 20/07/2019 18:15
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I'm going for Cedric Evina, released by Notts Co.
IP: Logged
lymeview Posted on 20/07/2019 18:31
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
He has been training with us for a while hasn't he - did he score against Congleton?
IP: Logged
pauljames Posted on 20/07/2019 18:40
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
That's the very man. A total punt on my part but I thought he played well and was definitely one of the stand out performers. Looked comfortable on the ball and very quick. Heard he can also play in midfield. Obviously no idea whether he's still with us.
IP: Logged
Smoky2 Posted on 20/07/2019 19:48
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
We trust you Stitchy1. [smi]
Donít forget to tell us when we sign a 40 goal a season striker .[smi]
IP: Logged
Smoky2 Posted on 20/07/2019 19:55
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
16 plus 2 keepers should mean we still have room for 4 or 5 more .
IP: Logged
Fola Posted on 22/07/2019 10:34
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
12 days until the start of the season and SC has said he wants a squad of 23. We have 16.

Could be a busy week.
IP: Logged
Fola Posted on 22/07/2019 12:06
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Eddie Clarke from Fleetwood
IP: Logged
Fola Posted on 22/07/2019 12:22
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Our defence is looking really XXXXXX impressive now. Bring in a good keeper and we'll be solid!

Pearson - Cameron - Kelleher - Jules - Clarke

IP: Logged
Stitchy1 Posted on 22/07/2019 12:25
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Told you about left wing back
IP: Logged
Stitchy1 Posted on 22/07/2019 12:28
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Thanks for having faith, I did tell you deal done, more exciting ones been done.
IP: Logged
macc1997 Posted on 22/07/2019 12:39
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I still think the former Crewe keeper would be a great signing
IP: Logged
Fola Posted on 22/07/2019 13:28
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Any clues on positions or when they are going to be announced Stich?
IP: Logged
SilkmenRyan Posted on 22/07/2019 13:36
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
We need to know where you get your information from Stitch!! Is the exciting one Duzza or what??
IP: Logged
Fola Posted on 22/07/2019 13:37
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Compare our defence now to the defence under Mark Yates:

Hodgkiss - Grimes/Kelleher - Lowe - Fitz

IP: Logged
Silky_Dandy Posted on 22/07/2019 13:54
Squad List (2019/20)
Edited On: 22/07/2019 13:56
Report Message | Email Message To A Friend | Reply To Message 

 
Another signing to be announced according Twitter. They're just waiting on Stitch to give them the green light [smi]
IP: Logged
Silky_Dandy Posted on 22/07/2019 13:55
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
That should say according to Twitter, not the app.
IP: Logged
Stitchy1 Posted on 22/07/2019 14:01
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Haha I like it , guys I canít give you my source but what I like is the doom and gloom gently lifting and you can see what progress SC is making. Contracts are complicated and can balm all parties if not announced at right time. I will keep you updated as to what I can divulge, without jeopardising all partyís
IP: Logged
Fola Posted on 22/07/2019 14:01
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Fraser Horsfall
IP: Logged
SilkmenRyan Posted on 22/07/2019 14:09
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Stitch, any idea of Duzza is actually signing haha
IP: Logged
lymeview Posted on 22/07/2019 14:09
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Nine defenders so someone will be leaving. Interesting times.
IP: Logged
Stitchy1 Posted on 22/07/2019 14:29
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Lol no information on Elliot , looking at squad ide say keeper and fierce CM but no names
IP: Logged
lymeview Posted on 22/07/2019 14:32
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
We only have two strikers so we need something in that department.
IP: Logged
Fola Posted on 24/07/2019 12:06
Squad List (2019/20)
Edited On: 24/07/2019 12:07
Report Message | Email Message To A Friend | Reply To Message 

 
To all of you moaning that you aren't happy with the team and all this Sol Out rubbish, lets compare the team that started last season compared to the team Sol has assembled.

GK: Taylor
RB: Hodgkiss
CB: Grimes
CB: Kelleher
LB: Fitzpatrick
RM: Marsh
CM: Rose
CM: Maykock
CM: Whitaker
LM: Arthur
ST: Smith
That is genuinely awful.

Sick of all this Sol Out rubbish. We would of gone down if we'd of kept the side that got us promoted. We would of gone down under Whitaker. We would of gone down under Yates.
IP: Logged
lymeview Posted on 24/07/2019 12:24
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Why would anyone want Sol out? Weird!
IP: Logged
macc1997 Posted on 24/07/2019 12:26
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Midfield and defense is better yes, but no keeeper

And forward line is not as strong.
IP: Logged
macchiavelli Posted on 24/07/2019 12:29
Squad List (2019/20)
Edited On: 24/07/2019 12:31
Report Message | Email Message To A Friend | Reply To Message 

 
I think Fola makes a valid point. I think Sol is doing his level best with whatever budget he has to work with.

We clearly still have work to do, but I can't believe the current squad will start with 13 games without a win, a la Yates last season.
IP: Logged
Fola Posted on 24/07/2019 15:01
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
The keeper's distribution yesterday was the best I've ever seen by a keeper at Macc.

Going forward, I have faith that Ironside can be our main threat. Odasebe played no.10 yesterday and looked good going forward.
IP: Logged
lymeview Posted on 25/07/2019 11:50
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
So we have 18 players if we include Cameron and Vincenti.
IP: Logged
Fola Posted on 25/07/2019 11:56
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
2 keepers, Jay Harris, an attacking mid/striker and I think we're sorted.
IP: Logged
graham73 Posted on 25/07/2019 12:26
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
There was a time when weíd offer someone the chance to appear in a pre-season friendly for a sum. Perhaps weíre upping the ante and our reserve GK will have bid to play?
IP: Logged
crazyface Posted on 25/07/2019 13:52
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I used to be a striker, I've still got some boots somewhere[:D]
IP: Logged
Fola Posted on 25/07/2019 18:31
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Owen Evans
IP: Logged
lymeview Posted on 25/07/2019 19:34
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
So, assuming Cameron and Jules leave, Durrell is not available for selection, Vincenti has been spirited away somewhere and Brice is not match fit the side for our first game could be something like this;

Evans; Horsfall, Kellerher, Vassell; Pearson, McCourt, Osadebe, Rose, Clarke; Stephens; Ironside - Subs MWH, Fitz, Dawson, Ntembwe and Blyth.

Could be all sorts of ins and outs yet though!
IP: Logged
MenorahTableofShowbread Posted on 25/07/2019 20:59
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Who says Cameron is leaving?
IP: Logged
macc1997 Posted on 25/07/2019 21:00
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Defence is weak if Cameron leaves.

Need him, leads by example
IP: Logged
lymeview Posted on 25/07/2019 21:03
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
This comes from "stevieburr" on the Leek thread. Might be true might be rubbish.
IP: Logged
Fola Posted on 26/07/2019 15:03
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated as Jules has joined Walsall.
IP: Logged
lymeview Posted on 26/07/2019 16:26
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Fola, you have been a busy man with the various ins and outs. Probably more to come!
IP: Logged
macchiavelli Posted on 29/07/2019 09:42
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
4 days to the big kick off.

Does anyone have the faintest idea of a definitive squad list yet?

Will Durrell, Cameron, and (Lord Lucan) Vincenti be in or out?
IP: Logged
lymeview Posted on 29/07/2019 12:24
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Hopefully all will be revealed when we allocate the shirt numbers which should be any day now.
IP: Logged
Fola Posted on 30/07/2019 10:31
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Still plenty of work to be done before Saturday.
IP: Logged
crazyface Posted on 30/07/2019 10:37
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Still only two strikers [:O] Don't expect many goals to be scored by MTFC.
IP: Logged
macc1997 Posted on 30/07/2019 11:04
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
My biggest concern is Cameron, our player of the year in my opinion. We need him/his situation clarified
IP: Logged
macchiavelli Posted on 30/07/2019 11:33
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Only 3 days to Exeter now. Does anyone recall a later allocation of squad numbers than this?
IP: Logged
Fola Posted on 30/07/2019 11:42
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I'm worried.
IP: Logged
lymeview Posted on 30/07/2019 11:46
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I imagine Sol is looking to complete some last minute deals - hope so anyway.
IP: Logged
crazyface Posted on 30/07/2019 11:52
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Gareth Bale will be doing nowt this season. maybe Sol's negotiating a deal for him?
IP: Logged
macchiavelli Posted on 30/07/2019 12:02
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Not sure we could afford a hay bale!
IP: Logged
TythyBlue Posted on 30/07/2019 12:36
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Iím not sure we can sign anyone ATM.

This is as per Sols post match Hartlepool interview which was then cut. (Amars Decision)
IP: Logged
pauljames Posted on 30/07/2019 12:59
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
If as expected, Harris's signing is confirmed later this week, that gives us 19 players, including Vincenti. That is 4 shy of the figure the manager said he'd originally been told he could sign. We still only have one keeper and a strike force that is crying out for at least one proven goal scorer. Added to which we have no clue what is going on with Cameron. Wonder if Campbell's thinking he'd have been better off getting involved in the family's soup empire?
IP: Logged
lymeview Posted on 30/07/2019 13:05
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I make it 18 including Vincenti and Cameron. So that could be 16. Brice is injured so it could be 15. Pearson didn't play at Hartlepool, so it could be 14.
IP: Logged
JH23 Posted on 30/07/2019 13:10
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
We have to hope that Vincenti can be moved on, with another left back signed up, will SC might be looking to move Fitzpatrick on as well. With Jules gone and Cameron (who knows what is going on there) a position of strength is now looking to be quite weak.

I don't think Cole who we had at the end of last season is signed up anywhere yet, he would be a good addition, as would another striker and goalkeeper. Lots still to do!
IP: Logged
onetwo07 Posted on 30/07/2019 13:12
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
A few weeks ago I was beginning to feel broadly confident about having a better season but that was on the assumption we'd have Cameron, Jules and Durrell and Wilson in the squad. I think you stick those 4 plus Harris and a backup keeper in and we'd look more or less OK.

Since that point, however, it looks as though the four players I mention are either gone or MIA. We are therefore worryingly light at both ends of the pitch.

More positively, if Harris does indeed sign I think we've got some half decent midfielders.
IP: Logged
Silky_Dandy Posted on 30/07/2019 13:57
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Completely agree, I've gone from being pretty optimistic to very worried.

Interestingly (or not) the club website list of first team still lists Durrell and Cameron. Obviously wouldn't read that much into it, but does seem to have been kept up to date with the various coming and goings.

IP: Logged
Fola Posted on 30/07/2019 14:01
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
The club need to release a statement on both Manny Idem and Elliott Durrell.

They were both offered deals, haven't signed them and are both out of contract now and free agents. They should be removed from the OS it's ridiculous.

IP: Logged
Fola Posted on 30/07/2019 15:35
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Theo Archibald.
IP: Logged
lymeview Posted on 31/07/2019 09:10
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Perhaps Idem and Durrell's contracts expire at the end of July?
IP: Logged
Fola Posted on 01/08/2019 14:47
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with signing of Jay Harris
IP: Logged
Fola Posted on 09/08/2019 16:20
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated Kirby
IP: Logged
Fola Posted on 09/08/2019 19:03
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Updated with Charles-Cook, O'Keefe and Gomis
IP: Logged
macc1997 Posted on 09/08/2019 19:36
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
Just a few ! Looks like a few panic loans to me, flashbacks to January
IP: Logged
lymeview Posted on 09/08/2019 19:42
Squad List (2019/20)

Report Message | Email Message To A Friend | Reply To Message 

 
I think there were only 2 loaneesin January and one of them was Reece Cole.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213